Project Template

by
Odoo          
v 11.0 Third Party 1228
Download for 11.0 series Deploy on Odoo.sh
Technical name bi_project_template
LicenseOPL-1
Websitehttp://www.browseinfo.in
Repositorygit@bitbucket.org:browseinfo/free_apps.git#11.0
Read description for v 10.0 v 9.0

Project Template

Provides Templates based on Project.

Key Features:

  • Provides Templates based on Project.

View Project Template

Figure shows menu of "Templates Of Projects".



Click "Set to In Progress".



After clicking "Set to In Progress" state will change to "In Progress".Click "Set as Template".



After clicking "Set as Template" state will change to "Template". Click on "New Project Based On Template" to create same project.



Figure shows newly created record.



Figure shows newly created record with new state.



After clicking "Reset as Project" state will change to "New".



Free Support

You will get 90 Days free support in-case any bugs or issue (Except data recovery).

At BrowseInfo we offer end to end solution for Odoo services. Which includes analysis & consultation on the work-flows and integration part. Please note that You're not allowed to distribute this module after purchase! In-case of any question regarding this module feel free to email us on sales@browseinfo.in or raise a ticket on support.

Odoo Proprietary License v1.0

This software and associated files (the "Software") may only be used (executed,
modified, executed after modifications) if you have purchased a valid license
from the authors, typically via Odoo Apps, or if you have received a written
agreement from the authors of the Software (see the COPYRIGHT file).

You may develop Odoo modules that use the Software as a library (typically
by depending on it, importing it and using its resources), but without copying
any source code or material from the Software. You may distribute those
modules under the license of your choice, provided that this license is
compatible with the terms of the Odoo Proprietary License (For example:
LGPL, MIT, or proprietary licenses similar to this one).

It is forbidden to publish, distribute, sublicense, or sell copies of the Software
or modified copies of the Software.

The above copyright notice and this permission notice must be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.

Please log in to comment on this module

Odoo
Problem in Odo11, Python3, at opening a existing project.
by on

I installed this addon without problems. After, i went to Projects and when i touch whatever project i get this: Error: Odoo Server Error Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/fields.py", line 947, in __get__ value = record.env.cache.get(record, self) File "/usr/lib/python3/dist-packages/odoo/api.py", line 960, in get value = self._data[field][record.id][key] KeyError: During handling of the above exception, another exception occurred: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/odoo/http.py", line 646, in _handle_exception return super(JsonRequest, self)._handle_exception(exception) File "/usr/lib/python3/dist-packages/odoo/http.py", line 307, in _handle_exception raise pycompat.reraise(type(exception), exception, sys.exc_info()[2]) File "/usr/lib/python3/dist-packages/odoo/tools/pycompat.py", line 87, in reraise raise value File "/usr/lib/python3/dist-packages/odoo/http.py", line 683, in dispatch result = self._call_function(**self.params) File "/usr/lib/python3/dist-packages/odoo/http.py", line 339, in _call_function return checked_call(self.db, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/service/model.py", line 97, in wrapper return f(dbname, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/http.py", line 332, in checked_call result = self.endpoint(*a, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 927, in __call__ return self.method(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/http.py", line 512, in response_wrap response = f(*args, **kw) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 930, in call_kw return self._call_kw(model, method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/addons/web/controllers/main.py", line 922, in _call_kw return call_kw(request.env[model], method, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 689, in call_kw return call_kw_multi(method, model, args, kwargs) File "/usr/lib/python3/dist-packages/odoo/api.py", line 680, in call_kw_multi result = method(recs, *args, **kwargs) File "/usr/lib/python3/dist-packages/odoo/models.py", line 2520, in read values[name] = field.convert_to_read(record[name], record, use_name_get) File "/usr/lib/python3/dist-packages/odoo/models.py", line 4659, in __getitem__ return self._fields[key].__get__(self, type(self)) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 951, in __get__ self.determine_value(record) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1062, in determine_value self.compute_value(recs) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1018, in compute_value self._compute_value(records) File "/usr/lib/python3/dist-packages/odoo/fields.py", line 1009, in _compute_value getattr(records, self.compute)() File "/var/lib/odoo/addons/11.0/bi_project_template/project_template.py", line 63, in count_sequence elif a.stage_id.id == int(state_in_progress_id): File "/usr/lib/python3/dist-packages/odoo/models.py", line 4632, in __int__ return self.id File "/usr/lib/python3/dist-packages/odoo/fields.py", line 2526, in __get__ return record.ensure_one()._ids[0] File "/usr/lib/python3/dist-packages/odoo/models.py", line 4267, in ensure_one raise ValueError("Expected singleton: %s" % self) ValueError: Expected singleton: project.task.type(9, 5) Why?

Odoo
Module repository
by on

Right know the bitbucket repository is not available; so, where can we find it?